coreEngine.Calibration.Operators

## Class MutationNonUniform

- java.lang.Object
- - coreEngine.Calibration.Operators.Mutation
  - - coreEngine.Calibration.Operators.MutationNonUniform

-     public class MutationNonUniform
      extends Mutation

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `increment`

    - ### Fields inherited from class coreEngine.Calibration.Operators.Mutation

      `alg, baseProfileFits, baseProfiles, usesBaseProfiles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutationNonUniform(GeneticAlgorithm alg)`
    `MutationNonUniform(GeneticAlgorithm alg, int numIncrements)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `binStringMutate(java.lang.String binString)`
    `float` | `generateMutatedValue(float originalVal)`
    `float` | `generateMutatedValue(float originalVal, int type, int seg, int per)`
    `protected java.lang.String` | `generateMutatedValue(java.lang.String binString, int type, int seg, int per)`

    - ### Methods inherited from class coreEngine.Calibration.Operators.Mutation

      `mutate, mutate, mutate, mutate, mutate, mutate, mutate, mutate, mutate, mutate, setBaseProfiles, usesBaseProfiles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### increment

          private final float increment

  - ### Constructor Detail

    - #### MutationNonUniform

          public MutationNonUniform(GeneticAlgorithm alg)

    - #### MutationNonUniform

          public MutationNonUniform(GeneticAlgorithm alg,
                                    int numIncrements)

  - ### Method Detail

    - #### generateMutatedValue

          public float generateMutatedValue(float originalVal)

      Specified by:
        `generateMutatedValue` in class `Mutation`

    - #### generateMutatedValue

          public float generateMutatedValue(float originalVal,
                                            int type,
                                            int seg,
                                            int per)

      Specified by:
        `generateMutatedValue` in class `Mutation`

    - #### generateMutatedValue

          protected java.lang.String generateMutatedValue(java.lang.String binString,
                                                          int type,
                                                          int seg,
                                                          int per)

      Specified by:
        `generateMutatedValue` in class `Mutation`

    - #### binStringMutate

          public java.lang.String binStringMutate(java.lang.String binString)

      Specified by:
        `binStringMutate` in class `Mutation`